#ifndef __LEVEL_H__
#define __LEVEL_H__

#include <string>
#include "display.h"
#include "characters.h"
#include "potion.h"
#include "constants.h"
#include "gold.h"
#include "map.h"

class level {
private:
        game_map map;
        const character &player;
        character_list chlist;
        potion_list plist;
        gold_list glist;
public:
        // randomly generate a map
        level(const character &player);
        // read map from a string
        level(const std::string &map_data, const character &player);
        void print(display &out) const;
        void run();
        position_list get_available_positions() const;
        position get_up_stairs() const;
        position get_down_stairs() const;
};

#endif
